library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

library work;
use work.wb.all;

package xor_app_h is
	component xor_app is
		port (
			app_request_o: out wb_slave_o;
			app_request_i: in wb_slave_i;

			mem_request_o: out wb_master_o;
			mem_request_i: in wb_master_i;

			base_address: in std_logic_vector(31 downto 0);

			clk: in std_logic;
			reset_n: in std_logic--;
		    );
	end component xor_app;
end package xor_app_h;
